﻿// ------------------------------------------------------------------------------------------------
// <copyright company="sycat IMS GmbH" file="Form1.cs">
// Copyright (c) 2010-2012 sycat IMS - All rights reserved.
// </copyright>
// created on 2013/03/14
// edited on 2013/03/14 by Hohmann, Carsten
// ------------------------------------------------------------------------------------------------
#region

using System.IO;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

#endregion

namespace WindowsFormsApplication1
{
    /// <summary>
    /// The form 1.
    /// </summary>
    public partial class Form1 : Form
    {
        /// <summary>
        /// The settings 1.
        /// </summary>
        private const string SETTINGS1 = "C:\\temp\\settings1.xml";

        /// <summary>
        /// The settings 2.
        /// </summary>
        private const string SETTINGS2 = "C:\\temp\\settings2.xml";

        /// <summary>
        /// Initializes a new instance of the <see cref="Form1"/> class.
        /// </summary>
        public Form1()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// The ultra toolbars manager 1 tool click.
        /// </summary>
        /// <param name="sender">
        /// The sender.
        /// </param>
        /// <param name="e">
        /// The e.
        /// </param>
        private void UltraToolbarsManager1ToolClick(object sender, ToolClickEventArgs e)
        {
            switch (e.Tool.Key)
            {
                case "ButtonTool1":
                    this.ultraDockManager1.SaveAsXML(SETTINGS2);
                    if (File.Exists(SETTINGS1))
                    {
                        this.ultraDockManager1.LoadFromXML(SETTINGS1);
                    }
                    break;

                case "ButtonTool2":
                    this.ultraDockManager1.SaveAsXML(SETTINGS1);
                    if (File.Exists(SETTINGS2))
                    {
                        this.ultraDockManager1.LoadFromXML(SETTINGS2);
                    }
                    break;
            }
        }
    }
}